#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --buildsystem=cmake --sourcedirectory=.

override_dh_auto_configure:
	cp -a debian/submodules/translations src/
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=Release \
		-DCUTTER_ENABLE_CRASH_REPORTS=OFF \
		-DCUTTER_ENABLE_GRAPHVIZ=ON \
		-DCUTTER_ENABLE_KSYNTAXHIGHLIGHTING=ON \
		-DCUTTER_ENABLE_PYTHON=ON \
		-DCUTTER_ENABLE_PYTHON_BINDINGS=ON \
		-DCUTTER_USE_BUNDLED_RIZIN=OFF \
                -DCUTTER_EXTRA_PLUGIN_DIRS=/usr/lib/rizin/cutter/plugins

